package com.qsoft.wmp.services.xsd;

import com.fasterxml.jackson.annotation.JsonAlias;
import com.qsoft.util.ms.pojo.ErrorMS;
import com.qsoft.util.ms.pojo.HeaderMS;
import java.io.Serializable;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSeeAlso;


/**
 * <b> Salida del Servicio Web. </b>
 *
 * @author Jaime Ruales.
 * @version $1.0$
 */
@XmlSeeAlso({HeaderMS.class, ErrorMS.class})
@XmlAccessorType(XmlAccessType.FIELD)
public class SalidaAccionFarmaEnlace implements Serializable {

    private static final long serialVersionUID = 5403227918589158188L;

    @XmlElement(name = "status")
    @JsonAlias("status")
    protected Boolean status;
    
    @XmlElement(name = "mensaje")
    @JsonAlias("mensaje")
    protected String mensaje;
    
    @XmlElement(name = "autorizacion")
    @JsonAlias("autorizacion")
    protected String autorizacion;
    
    @XmlElement(name = "receta")
    @JsonAlias("receta")
    protected Integer receta;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public void setStatus(Boolean status) {
        this.status = status;
    }


    public void setMensaje(String mensaje) {
        this.mensaje = mensaje;
    }

    public String getMensaje() {
        return mensaje;
    }

    public void setAutorizacion(String autorizacion) {
        this.autorizacion = autorizacion;
    }

    public String getAutorizacion() {
        return autorizacion;
    }

    public void setReceta(Integer receta) {
        this.receta = receta;
    }

    public Integer getReceta() {
        return receta;
    }

    
    

}
